## html2canvas 0.5.0~beta4%2Bds1

=== debian/changelog ===
html2canvas (0.5.0~beta4+ds1-2~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.
  * Let Build time tests always pass even if an error might occure

 -- Andreas Tille <tille@debian.org>  Wed, 08 Mar 2017 15:34:56 +0100

html2canvas (0.5.0~beta4+ds1-2) unstable; urgency=medium

  * Use $(CURDIR) instead of $(PWD) to fix a FTBFS. (Closes: #846682)

 -- Ximin Luo <infinity0@debian.org>  Sun, 11 Dec 2016 09:44:02 +0100

html2canvas (0.5.0~beta4+ds1-1) unstable; urgency=medium

  * Initial release. (Closes: #845063)

 -- Ximin Luo <infinity0@debian.org>  Mon, 21 Nov 2016 01:48:12 +0100
