## html2canvas 0.5.0~beta4+ds1

=== debian/control ===
Source: html2canvas
Section: web
Priority: extra
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Ximin Luo <infinity0@debian.org>
Build-Depends:
 debhelper (>= 10),
 dpkg-dev (>= 1.17.14),
 nodejs (>= 4.0),
 node-browserify-lite,
 node-uglify,
 python,
 mocha <!nocheck>,
 phantomjs <!nocheck>,
 libjs-es6-promise <!nocheck>,
 libjs-jquery <!nocheck>,
# actually mocha should depend on this, it's a bug there
 libjs-mocha <!nocheck>,
 node-expect.js <!nocheck>,
 node-requirejs <!nocheck>,
 xvfb <!nocheck>,
 xauth <!nocheck>
Standards-Version: 3.9.8
Homepage: https://github.com/niklasvh/html2canvas
Vcs-Git: https://anonscm.debian.org/git/pkg-javascript/html2canvas.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-javascript/html2canvas.git

Package: libjs-html2canvas
Architecture: all
Depends: ${misc:Depends}
Recommends: javascript-common
Description: Take screenshots of webpages directly in the browser - browser library
 html2canvas allows you to take "screenshots" of webpages or parts of it,
 directly on the users browser. The screenshot is based on the DOM and as such
 may not be 100% accurate to the real representation as it does not make an
 actual screenshot, but builds the screenshot based on the information
 available on the page.
 .
 It renders the current page as a canvas image, by reading the DOM and the
 different styles applied to the elements.
 .
 It does not require any rendering from the server, as the whole image is
 created on the clients browser. However, as it is heavily dependent on the
 browser, this library is not suitable to be used in nodejs. It doesn't
 magically circumvent any browser content policy restrictions either, so
 rendering cross-origin content will require a proxy to get the content to the
 same origin.
 .
 It is still in a very experimental state, so the author doesn't recommend
 using it in a production environment nor start building applications with it
 yet, as there will be still major changes made.
 .
 This package contains the plain JS library as well as a minified version.

Package: node-html2canvas
Architecture: all
Depends: ${misc:Depends}, libjs-html2canvas
Recommends: nodejs
Description: Take screenshots of webpages directly in the browser - NodeJS module
 html2canvas allows you to take "screenshots" of webpages or parts of it,
 directly on the users browser. The screenshot is based on the DOM and as such
 may not be 100% accurate to the real representation as it does not make an
 actual screenshot, but builds the screenshot based on the information
 available on the page.
 .
 It renders the current page as a canvas image, by reading the DOM and the
 different styles applied to the elements.
 .
 It does not require any rendering from the server, as the whole image is
 created on the clients browser. However, as it is heavily dependent on the
 browser, this library is not suitable to be used in nodejs. It doesn't
 magically circumvent any browser content policy restrictions either, so
 rendering cross-origin content will require a proxy to get the content to the
 same origin.
 .
 It is still in a very experimental state, so the author doesn't recommend
 using it in a production environment nor start building applications with it
 yet, as there will be still major changes made.
 .
 This package contains the NodeJS package. Note that html2canvas is NOT suited
 to be used from NodeJS. However some people these days use NPM for non-NodeJS
 purposes. This package is for those special people.
