=== debian/tests/control ===
Test-Command: nodejs -e "require('"'"'html2canvas'"'"');"
Depends: @
