=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\w.-]*)\.tar\.gz%html2canvas-$1.tar.gz%,\
dversionmangle=s/\+ds\d*$//,uversionmangle=s/-(\w+)$/~$1/,repacksuffix=+ds1" \
 https://github.com/niklasvh/html2canvas/tags \
 (?:.*?/)?v?(\d[\w.-]*)\.tar\.gz
